GLM: GLM_GTX_matrix_query

GLM 0.9.5

- Main Page
- Related Pages
- Modules
- Namespaces
- Files

Functions
GLM_GTX_matrix_query
GTX Extensions (Experimental)

## Functions
template<typename T , precision P, template< typename, precision > class matType>
bool | isIdentity (matType< T, P > const &m, T const &epsilon)
template<typename T , precision P>
bool | isNormalized (detail::tmat2x2< T, P > const &m, T const &epsilon)
template<typename T , precision P>
bool | isNormalized (detail::tmat3x3< T, P > const &m, T const &epsilon)
template<typename T , precision P>
bool | isNormalized (detail::tmat4x4< T, P > const &m, T const &epsilon)
template<typename T , precision P>
bool | isNull (detail::tmat2x2< T, P > const &m, T const &epsilon)
template<typename T , precision P>
bool | isNull (detail::tmat3x3< T, P > const &m, T const &epsilon)
template<typename T , precision P>
bool | isNull (detail::tmat4x4< T, P > const &m, T const &epsilon)
template<typename T , precision P, template< typename, precision > class matType>
bool | isOrthogonal (matType< T, P > const &m, T const &epsilon)

## Detailed Description

Query to evaluate matrix properties.

<glm/gtx/matrix_query.hpp> need to be included to use these functionalities.

## Function Documentation

bool glm::isIdentity | ( | matType< T, P > const & | m,
|  | T const & | epsilon
| ) |  |

Return whether a matrix is an identity matrix.

From GLM_GTX_matrix_query extension.

bool glm::isNormalized | ( | detail::tmat2x2< T, P > const & | m,
|  | T const & | epsilon
| ) |  |

Return whether a matrix is a normalized matrix.

From GLM_GTX_matrix_query extension.

bool glm::isNormalized | ( | detail::tmat3x3< T, P > const & | m,
|  | T const & | epsilon
| ) |  |

Return whether a matrix is a normalized matrix.

From GLM_GTX_matrix_query extension.

bool glm::isNormalized | ( | detail::tmat4x4< T, P > const & | m,
|  | T const & | epsilon
| ) |  |

Return whether a matrix is a normalized matrix.

From GLM_GTX_matrix_query extension.

bool glm::isNull | ( | detail::tmat2x2< T, P > const & | m,
|  | T const & | epsilon
| ) |  |

Return whether a matrix a null matrix.

From GLM_GTX_matrix_query extension.

bool glm::isNull | ( | detail::tmat3x3< T, P > const & | m,
|  | T const & | epsilon
| ) |  |

Return whether a matrix a null matrix.

From GLM_GTX_matrix_query extension.

bool glm::isNull | ( | detail::tmat4x4< T, P > const & | m,
|  | T const & | epsilon
| ) |  |

Return whether a matrix is a null matrix.

From GLM_GTX_matrix_query extension.

bool glm::isOrthogonal | ( | matType< T, P > const & | m,
|  | T const & | epsilon
| ) |  |

Return whether a matrix is an orthonormalized matrix.

From GLM_GTX_matrix_query extension.